using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
      if (!IsPostBack)
      {   
          string strcon = "Data Source=.;Initial Catalog=Blog;Integrated Security=True";
          SqlConnection con = new SqlConnection(strcon);
          con.Open();
          string sqlstr = "select * from Admins";
          SqlDataAdapter sda = new SqlDataAdapter(sqlstr, con);
          DataSet ds = new DataSet();
          sda.Fill(ds);
          if (ds.Tables.Count > 0)
            {   Repeater1.DataSource = ds;
                Repeater1.DataBind(); }
          else
            {    Response.Write("<script>alert('没有可显示的记录！')</script>"); }
        }
    }
}
